#
# grpk01.rb
#
# $Id: grpk01.rb,v 1.1 2000/11/22 14:35:55 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu
include Math


#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; DCL::sgpwsn; gets)).to_i
DCL::gropn iws

DCL::grfrm

DCL::grswnd(0.0, 1.0, -0.7, 0.7)
DCL::grsvpt(0.2, 0.8, 0.2, 0.6)
DCL::grstrn(1)
DCL::grstrf
DCL::ussttl('X-AXIS', ' ', 'Y1-AXIS', ' ')
DCL::usdaxs
DCL::sgtxzu(0.5, 0.0, 'PAGE:1, FRAME:1', 0.02, 0, 0, 3)

DCL::grfig

DCL::grswnd(0.0, 1.0, -0.5, 0.5)
DCL::grsvpt(0.2, 0.8, 0.62, 0.82)
DCL::grstrn(1)
DCL::grstrf
DCL::uzlset('LABELXB', false)
DCL::ussttl('X-AXIS', ' ', 'Y2-AXIS', ' ')
DCL::usdaxs
DCL::sgtxzu(0.5, 0.0, 'PAGE:1, FRAME:2', 0.02, 0, 0, 3)
DCL::uzlset('LABELXB', true)

DCL::grfrm

DCL::uzfact(0.5)

DCL::grswnd(0.0, 1.0, -0.7, 0.7)
DCL::grsvpt(0.2, 0.8, 0.2, 0.6)
DCL::grstrn(1)
DCL::grstrf
DCL::ussttl('X-AXIS', ' ', 'Y1-AXIS', ' ')
DCL::usdaxs
DCL::sgtxzu(0.5, 0.0, 'PAGE:2, FRAME:1', 0.02, 0, 0, 3)

DCL::grfig

DCL::grswnd(0.0, 1.0, -0.5, 0.5)
DCL::grsvpt(0.2, 0.8, 0.62, 0.82)
DCL::grstrn(1)
DCL::grstrf
DCL::uzlset('LABELXB', false)
DCL::ussttl('X-AXIS', ' ', 'Y2-AXIS', ' ')
DCL::usdaxs
DCL::sgtxzu(0.5, 0.0, 'PAGE:2, FRAME:2', 0.02, 0, 0, 3)
DCL::uzlset('LABELXB', true)

DCL::grcls

